{% extends "crm/layouts/basic.html" %}


{% block titel %}
    {{ block.super }}|Главная
{% endblock %}
{% block content %}
<div>
    <span><strong>Сортировка по:</strong></span>
    <span>Названию </span>
    <a href="{% url 'home' %}?{{ sort_list.sort }}={{ sort_list.name_rev }}">&#8743;</a>
    <a href="{% url 'home' %}?{{ sort_list.sort }}={{ sort_list.name }}">&#8744;</a>
    <span>Дате</span>
    <a href="{% url 'home' %}?{{ sort_list.sort }}={{ sort_list.created_at_rev }}">&#8743;</a>
    <a href="{% url 'home' %}?{{ sort_list.sort }}={{ sort_list.created_at }}">&#8744;</a>
</div>

<hr>
{% for company in companies %}
<h3>{{ companies.start_index|add:forloop.counter0 }}. <a href="{% url 'company-project-list' company.pk %}">{{ company.name }}</a></h3>
<p>Контакт: {{ company.contact_person }}</p>
<p>Краткое описание: {{ company.short_description|safe }}</span></p>
<p>Адрес компании: {{ company.adress }}</p>
{% for email in company.email_set.all %}
    <p>Почта: {{ email }}</p>
{% endfor %}
{% for telephone in company.telephone_set.all %}
    <p>Телефон: {{ telephone }}</p>
{% endfor %}
<p>Созданно: {{ company.created_at|date:"d.m.Y H:i:s" }} Обновленно: {{ company.updated_at|date:"d.m.Y H:i:s" }}</p>
<p>
    <a href="{% url 'update-company' company.pk %}">Изменить компанию</a>
    <a href="{% url 'delete-company' company.pk %}">Удалить компанию</a>
</p>
<hr>
{% endfor %}

<div>
    <div>{{ companies.start_index }} - {{ companies.end_index }} of {{ companiesCount }}</div>
    {% if companies.has_previous %}
    <a href="?page={{ companies.previous_page_number}}{{ order_by }}">&lt;</a>
    &nbsp;&nbsp;|&nbsp;&nbsp;
    {% endif %}
    Часть №{{ companies.number }} из {{ companies.paginator.num_pages }}
    {% if companies.has_next %}
    &nbsp;&nbsp;|&nbsp;&nbsp;
    <a href="?page={{ companies.next_page_number}}{{ order_by }}">&gt;</a>
    {% endif %}
</div>

{% endblock %}

